#ifndef BOCONE_H
#define BOCONE_H

#include "siftop.h"
#include "tablefunct.h"
#include "parser.h"
#include "galias.h"
#include "aliast.h"
#include <stdio.h>

class bocone
{
  public :
   bocone();
   ~bocone();
   long read(FILE *in, long nlc);
   long read_statpr(FILE *in, long id);
   long read_nonstatpr(FILE *in, long id);
   
   long   lcid;  ///< load case id
   long   nbc;   ///< number of boundary conditions
   long   *bct;  ///< boundary condition type
   double *pv;   ///< prescribed value or flux (stationary problems)
   long   *ccid; ///< climate condition id
   double *trc;  ///< transmition coefficient
   double *trr;  ///< another transmition coefficient
   gfunct **tpv; ///< time function for prscribed values or flux (nonstationary problems)
};

#endif
