#ifndef EDGELOAD_H
#define EDGELOAD_H

#include "siftop.h"
#include "tablefunct.h"
#include "parser.h"
#include "galias.h"
#include "aliast.h"
#include <stdio.h>

class edgeload
{
  public :
   edgeload();
   ~edgeload();
   long read(FILE *in, long lc);
   long getval(snode *tn, double a, double b, double &nv);
   long getval(snode *tn, long i, char *eqtxt);

   long nlc;           /// loadcase number
   double xa, ya, za;  /// coordinates of the first point of edge (a)
   double xb, yb, zb;  /// coordinates of the first point of edge (b)


   long         tc;          /// type of condition
   generalfunct tf;          /// type of time function
   long        neq;         /// number function sets (for 'par' or 'par_set' value of tf)
   double      fa,    fb;   /// constant values at point a and b on the edge
   Equation  **eqa, **eqb;  /// time funtions or sets of time funcions at point a andb on the edge
   double     *lva,  *lvb;  /// arrays with limit values for function sets for point a and b
   char      **fta, **ftb;  /// text of time funtions or sets of time funcions at point a andb on the edge
   tablefunct *taba, *tabb; /// time funtions given by table at point a andb on the edge
   double      trca;         /// transmission coeffitient for point a
   double      trcb;         /// transmission coeffitient for point b
   long ccid;

};

#endif
