#ifndef SURFBOC_H
#define SURFBOC_H

#include "siftop.h"
#include "tablefunct.h"
#include "parser.h"
#include "galias.h"
#include "aliast.h"
#include <stdio.h>

class surfboc
{
  public :
   surfboc();
   ~surfboc();
   long read(FILE *in, long nlc);
   long read_statpr(FILE *in);
   long read_nonstatpr(FILE *in);
   
   long   lcid;  ///< load case id
   long   bct;  ///< boundary condition type
   double pv;   ///< prescribed value or flux (stationary problems)
   long   ccid; ///< climate condition id
   double trc;  ///< transmition coefficient
   double trr;  ///< another transmition coefficient
   gfunct *tpv; ///< time function for prescribed values or flux (nonstationary problems)
};

#endif
