/*
    Author:           Jakub Goringer, email@
    Purpose:          Computes carbonation of concrete (uncoupled from moisture)
    Source:           CCR
*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "carbmat1.h"
#include "globalt.h"

carbmat1::carbmat1(){
  global_variable = 3;
}

carbmat1::~carbmat1(){

}

/**
   function reads parameters from input file
   @param in - input file
*/
void carbmat1::read(XFILE *in){
  xfscanf (in,"%lf", &param);
}


/**
   function computes effective CO2 diffusion of cracked material
   @param A - area of cone
*/

double carbmat1::Equivalent_diffusion(double A)
{
  double K_CO2 = 1.e-12;
  double K_Cracked;
  
  K_Cracked = A * K_CO2 * global_variable;
  
  return K_Cracked;
}


double carbmat1::get_conductivity(void){
  return param;
}
