#ifndef CLIMATCOND_H
#define CLIMATCOND_H

#include <stdio.h>
#include "iotools.h"

# ifndef M_PI
#   define M_PI 3.14159265358979323846  /* pi */
# endif

class climatcond
{
 public:
  climatcond(void);
  ~climatcond(void);
    void read(XFILE *in, long readclimfile=1);
    void print(FILE *out);

    double ConditHeatFlux(long Tkind, double Temperak, double t);
    void ReadCllimaticFiles (char * Cfile, long cod);
    void FindValueinTimeT(double time, double **Matrix, double & value);
    void FindValuesinT(long TRH, double t, double &value);
    double ConditShortWaveRadiatFlux(long SWkind, double Temperak, double t);
    double ConditLongWaveRadiatFlux(long LWKind, double Temperak, double t);
    double Condit_Water_contact(long WCKind, double t);
    double Condit_Rain_moistureFlux(long RainKind, double RHakt, double t,long ipp, long nid);
    double Condit_Rain_heatFlux(long RainKind, double RHakt, double t,long ipp, long nid);
    double Condit_Vapour_Diffusion_moisture_flux(long VDKind,double t, double RHAkt, double TemperAkt,long ipp, long nid);
    double Condit_Vapour_Diffusion_moisture_flux_salt(long VDKind,double t, double w, double cf, double temp, long nid);
    double Condit_Vapour_Diffusion_Heat_Flux(long VDKind,double t, double RHAkt , double TemperAkt,long ipp, long nid);
    double Get_Heat_Flux(double nvalvrh,double nvalvT,long ipp, long nid);
    double WallDirection( long hranice);
    double give_flux(long icid, double * nval,long ipp,long nid);
    double get_moisture_flux(double nvalrh, double nvalT,long ipp, long nid);
    void Sorption_izoterm_data(double Fi, double &moist);
    int MatCharC[3];
    double ***MatDataC;
    double MatConstC[3];
    double MatFunceC[2][3];
    int numd;
     void find_data(double x, double & y);
     double get_salt_flux(double w, double cf, double t, long nid);
private:

    double  **TepValue; //matice teplot

    double  **RHValue; //matice rel. vlhkost
    double  **DifSValue; //matice dlouhe difuzniho slunecniho zareni
    double  **DirSValue; //matice prime slunecni zareni
    double  **WDValue; //matice smer vetru
    double  **WSValue; //matice rychlost vetru
    double  **VRValue; //matice int. deste
    double  **LWValue;     //matice  dlouhovlne emisni slun. zareni
    double  **SLWValue;     //matice dlouhovlnne
    double  **NorRainValue;
    double  **GasFluxValue;
    double  **HeatFluxValue;
    double  **ShWRadValue;
    double  **LoWRadValue;
    ///  array containing radiation (JK+Tomaschko)
    double  **RadValue;
  ///  array containing temperature Tb (JK+Klier)
    double  **TempbValue;

    double Jkq;
    double Cwat;
    double T0;
    double hvap;
    double cvap;
    
    //.... toto musim nacist ze vstup souboru
    long mattyp;
    double basicdirect;
    double basicinclin;
    long KIND1;
    long KIND2;
    long KIND3;
    long KIND4;
    long KIND5;
    long KIND6;
    long WCorPH;
    long RHorVP;

    double Smc;
    double cfmax;
    double Mhmc;
    double Mhrh;
    double WallDirect;
    double WinFact;
    double WinFactVD;
    double coefAlf;
    double AbsCoef;
    double Albedo;
    double Latitude;
    double WallInclin;
    double EmisCoeff;
    double ExchCoeff;
    double ExchCoeffVD;
    double RainCoeff;
    double MinRainTemp;
    double MinRainFlux;
    double u, a, n;
    double alfaK, Ax, Bx, Cx;
    double tint, alfaint; // pro interier HEMOT
    double rhint, rhalfa,rhtemp; // pro interier HEMOT
    //  coefficients for computation of transmission coefficent
    double aa,b;
    //  coefficients for Stefan-Boltzmann law
    double eps,sig;
    //  coefficients for radiation
    double alpha,m;

    double **SIdata;

    int SI, numberSI;
    int d;
    double **data;
    long tn,cc; // tn je pocet radku climatickych hodnot, cc je 0 pro TRY  a 1 pro namerena klim data ruzne delky

    char *files0,*files1,*files2,*files3,*files4,*files5,*files6,*files7,*files8,*files14,*files15;
};


#endif
